#include<bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int n, br, curr;
    br=0;
    cin>>n;
    for(int i=1; i<=n; i++){
        if(i*i*i>n) break;
        if(n%i!=0) continue;
        n/=i;
        for(int j=i; j<=n/i; j++){
            if(n%j!=0) continue;
            curr=n/j;
            if(curr<i || curr<j) continue;
            br++;
        }
        n*=i;
    }
    cout<<br;
    return 0;
}

